Bug 1411911 - [abrt] inkscape: Inkscape::CompositeUndoStackObserver::UndoStackObserverRecord::issueClearRedo(): inkscape killed by SIGSEGV
Summary: [abrt] inkscape: Inkscape::CompositeUndoStackObserver::UndoStackObserverRecor...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d868e9a8fc7e3742005579e5570...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 18:04 UTC by Trever Adams
Modified: 2017-12-12 10:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.15 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: core_backtrace (10.79 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: dso_list (12.60 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: environ (3.24 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: maps (62.98 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: mountinfo (3.25 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: open_fds (1.24 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details
File: var_log_messages (329 bytes, text/plain)
2017-01-10 18:04 UTC, Trever Adams
no flags Details

Description Trever Adams 2017-01-10 18:04:18 UTC
Description of problem:


Version-Release number of selected component:
inkscape-0.92-7.pre3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        inkscape /tmp/OE612R1.svg
crash_function: Inkscape::CompositeUndoStackObserver::UndoStackObserverRecord::issueClearRedo
executable:     /usr/bin/inkscape
global_pid:     13044
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Inkscape::CompositeUndoStackObserver::UndoStackObserverRecord::issueClearRedo at composite-undo-stack-observer.h:102
 #1 Inkscape::CompositeUndoStackObserver::notifyClearRedoEvent at composite-undo-stack-observer.cpp:98
 #2 Inkscape::DocumentUndo::clearRedo at document-undo.cpp:351
 #3 SPDocument::~SPDocument at document.cpp:166
 #5 Inkscape::UI::View::View::setDocument at ui/view/view.cpp:116
 #6 SPDesktop::setDocument at desktop.cpp:1595
 #7 SPDesktop::change_document at desktop.cpp:657
 #8 sp_file_open at file.cpp:307
 #9 sp_recent_open at ui/interface.cpp:730
 #18 gtk_widget_activate at gtkwidget.c:5048

Comment 1 Trever Adams 2017-01-10 18:04:24 UTC
Created attachment 1239164 [details]
File: backtrace

Comment 2 Trever Adams 2017-01-10 18:04:25 UTC
Created attachment 1239165 [details]
File: cgroup

Comment 3 Trever Adams 2017-01-10 18:04:26 UTC
Created attachment 1239166 [details]
File: core_backtrace

Comment 4 Trever Adams 2017-01-10 18:04:27 UTC
Created attachment 1239167 [details]
File: dso_list

Comment 5 Trever Adams 2017-01-10 18:04:28 UTC
Created attachment 1239168 [details]
File: environ

Comment 6 Trever Adams 2017-01-10 18:04:30 UTC
Created attachment 1239169 [details]
File: exploitable

Comment 7 Trever Adams 2017-01-10 18:04:31 UTC
Created attachment 1239170 [details]
File: limits

Comment 8 Trever Adams 2017-01-10 18:04:32 UTC
Created attachment 1239171 [details]
File: maps

Comment 9 Trever Adams 2017-01-10 18:04:33 UTC
Created attachment 1239172 [details]
File: mountinfo

Comment 10 Trever Adams 2017-01-10 18:04:34 UTC
Created attachment 1239173 [details]
File: namespaces

Comment 11 Trever Adams 2017-01-10 18:04:35 UTC
Created attachment 1239174 [details]
File: open_fds

Comment 12 Trever Adams 2017-01-10 18:04:36 UTC
Created attachment 1239175 [details]
File: proc_pid_status

Comment 13 Trever Adams 2017-01-10 18:04:37 UTC
Created attachment 1239176 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:46:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:08:57 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.